version: '3.3'

services:
  postgres:
    image: library/postgres:16.2
    volumes:
      - postgres-data:/var/lib/postgresql
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: 1337
    ports:
      - '5432:5432'
    restart: always

volumes:
  postgres-data: